Skip to main content
POST
/
api2
/
v2
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
termBases
/
searchInTextByJob
Search terms in text
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/termBases/searchInTextByJob \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "<string>",
  "reverse": true,
  "zeroLengthSeparator": "<string>"
}
'
{
  "searchResults": [
    {
      "termBase": {
        "id": 123,
        "uid": "<string>",
        "name": "<string>",
        "readonly": true,
        "sourceUrl": "<string>"
      },
      "sourceTerm": {
        "text": "<string>",
        "id": "<string>",
        "lang": "<string>",
        "rtl": true,
        "modifiedAt": "2023-11-07T05:31:56Z",
        "createdAt": "2023-11-07T05:31:56Z",
        "modifiedBy": {
          "firstName": "<string>",
          "lastName": "<string>",
          "userName": "<string>",
          "email": "<string>",
          "role": "SYS_ADMIN",
          "id": "<string>",
          "uid": "<string>"
        },
        "createdBy": {
          "firstName": "<string>",
          "lastName": "<string>",
          "userName": "<string>",
          "email": "<string>",
          "role": "SYS_ADMIN",
          "id": "<string>",
          "uid": "<string>"
        },
        "caseSensitive": true,
        "exactMatch": true,
        "forbidden": true,
        "preferred": true,
        "status": "New",
        "conceptId": "<string>",
        "usage": "<string>",
        "note": "<string>",
        "writable": true,
        "shortTranslation": "<string>",
        "termType": "FULL_FORM",
        "partOfSpeech": "ADJECTIVE",
        "gender": "MASCULINE",
        "number": "SINGULAR",
        "customFields": [
          {
            "fieldName": "<string>",
            "value": {}
          }
        ]
      },
      "concept": {
        "id": "<string>",
        "definition": "<string>",
        "domain": "<string>",
        "subDomains": [
          "<string>"
        ],
        "url": "<string>",
        "note": "<string>",
        "customFields": [
          {
            "fieldName": "<string>",
            "value": {}
          }
        ]
      },
      "translationTerms": [
        {
          "text": "<string>",
          "id": "<string>",
          "lang": "<string>",
          "rtl": true,
          "modifiedAt": "2023-11-07T05:31:56Z",
          "createdAt": "2023-11-07T05:31:56Z",
          "modifiedBy": {
            "firstName": "<string>",
            "lastName": "<string>",
            "userName": "<string>",
            "email": "<string>",
            "role": "SYS_ADMIN",
            "id": "<string>",
            "uid": "<string>"
          },
          "createdBy": {
            "firstName": "<string>",
            "lastName": "<string>",
            "userName": "<string>",
            "email": "<string>",
            "role": "SYS_ADMIN",
            "id": "<string>",
            "uid": "<string>"
          },
          "caseSensitive": true,
          "exactMatch": true,
          "forbidden": true,
          "preferred": true,
          "status": "New",
          "conceptId": "<string>",
          "usage": "<string>",
          "note": "<string>",
          "writable": true,
          "shortTranslation": "<string>",
          "termType": "FULL_FORM",
          "partOfSpeech": "ADJECTIVE",
          "gender": "MASCULINE",
          "number": "SINGULAR",
          "customFields": [
            {
              "fieldName": "<string>",
              "value": {}
            }
          ]
        }
      ],
      "subTerm": true,
      "matches": [
        {
          "beginIndex": 123,
          "text": "<string>"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

jobUid
string
required
projectUid
string
required

Body

application/json
text
string
required
reverse
boolean

Default: false

zeroLengthSeparator
string

Response

successful operation

searchResults
object[]